Index: /trunk/ICeCoffEE/ICeCoffEE/ICeCoffEETerminal.m
===================================================================
--- /trunk/ICeCoffEE/ICeCoffEE/ICeCoffEETerminal.m	(revision 141)
+++ /trunk/ICeCoffEE/ICeCoffEE/ICeCoffEETerminal.m	(revision 142)
@@ -52,13 +52,9 @@
 - (unsigned int)characterIndexForPoint:(NSPoint)thePoint { return 0; }
 - (NSArray*)validAttributesForMarkedText { return nil; }
-
 // NSDraggingDestination
 - (NSDragOperation)draggingEntered:(id <NSDraggingInfo>)sender { return NSDragOperationNone; }
-- (void)draggingExited:(id <NSDraggingInfo>)sender {}
-
-    // misc. other stuff
+// misc. other stuff
 - (void)_optionClickEvent:(NSEvent *)event:(unsigned int)row:(unsigned short)column {}
 - (void)setNeedsDisplay; {}
-
 @end
 
@@ -441,5 +437,5 @@
 - (NSDragOperation)draggingEntered:(id <NSDraggingInfo>)sender;
 {
-    if ([sender draggingSource] != self || ([[NSApp currentEvent] modifierFlags] & NSAlternateKeyMask)) {
+    if (!ICCF_prefs.terminalRequireOptionForSelfDrag || [sender draggingSource] != self || ([[NSApp currentEvent] modifierFlags] & NSAlternateKeyMask)) {
         [super draggingEntered: sender];
         // When doing non-self drags, this works around one bug in Terminal wherein the option key acts as a toggle, and it shouldn't (see Aqua HIG).  Unfortunately, this messes up drag feedback for self drags, but I don't know of any way to fix it.  Not that most Cocoa apps get it remotely right, anyway.
Index: /trunk/ICeCoffEE/ICeCoffEE/Installer components/ui/ui.plist
===================================================================
--- /trunk/ICeCoffEE/ICeCoffEE/Installer components/ui/ui.plist	(revision 141)
+++ /trunk/ICeCoffEE/ICeCoffEE/Installer components/ui/ui.plist	(revision 142)
@@ -39,9 +39,9 @@
 	<string>ICeCoffEE</string>
 	<key>ProductNumVersion</key>
-	<integer>20152320</integer>
+	<integer>20987905</integer>
 	<key>ProductType</key>
 	<string>Preference Pane</string>
 	<key>ProductVersion</key>
-	<string>1.3.3</string>
+	<string>1.4a1</string>
 </dict>
 </plist>
Index: /trunk/ICeCoffEE/ICeCoffEE/VERSION
===================================================================
--- /trunk/ICeCoffEE/ICeCoffEE/VERSION	(revision 141)
+++ /trunk/ICeCoffEE/ICeCoffEE/VERSION	(revision 142)
@@ -1,1 +1,1 @@
-1.3.3
+1.4a1
